// 账号管理
import request from '@/utils/request'

// 新增账号
export function add(data) {
  return request({
    url: '/staff/add',
    method: 'post',
    data: data
  })
}

// 删除
export function deleteInfo(data) {
  return request({
    url: '/staff/delete',
    method: 'delete',
    params: data
  })
}

// 获取可添加账号类型
export function getAddType(data) {
  return request({
    url: '/staff/getAddType',
    method: 'get',
    params: data
  })
}

// 详情
export function info(data) {
  return request({
    url: '/staff',
    method: 'get',
    params: data
  })
}

// 根据用户id获取详情
export function infoById(data) {
  return request({
    url: '/staff/infoById',
    method: 'get',
    params: data
  })
}

// 账号列表
export function list(data) {
  return request({
    url: '/staff/list',
    method: 'post',
    data: data
  })
}

// 重置密码
export function reset(data) {
  return request({
    url: '/staff/reset',
    method: 'put',
    data: data
  })
}

// 修改
export function update(data) {
  return request({
    url: '/staff',
    method: 'put',
    data: data
  })
}

// 强制登录
export function forceLogin(data) {
  return request({
    url: '/commonLogin/login',
    method: 'post',
    data: data
  })
}

// 强制登录
export function forceLoginInfo(data) {
  return request({
    url: '/staff/forceLoginInfo',
    method: 'get',
    params: data
  })
}
